> ## Documentation Index
> Fetch the complete documentation index at: https://getbuildify.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a subscription



## OpenAPI

````yaml post /{apiVersion}/{apiProvince}/webhooks
openapi: 3.0.0
info:
  title: Buildify API
  version: '1.0'
servers:
  - url: https://api.getbuildify.com
security:
  - sec0: []
paths:
  /{apiVersion}/{apiProvince}/webhooks:
    post:
      summary: Create a subscription
      operationId: create-a-subscription
      parameters:
        - name: apiVersion
          in: path
          schema:
            type: string
            enum:
              - v1-sandbox
              - v1-lite
              - v1
          required: true
        - name: apiProvince
          in: path
          schema:
            type: string
            enum:
              - all
              - 'on'
              - bc
              - ab
              - mb
              - nb
              - nl
              - ns
              - pe
              - qc
              - sk
            default: 'on'
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - env
                - targetUrl
                - event
              properties:
                env:
                  type: string
                  description: Either test or live
                  default: test
                targetUrl:
                  type: string
                  description: Valid https url
                event:
                  type: string
                  description: >-
                    Only possible values are: LISTINGS.CREATED, LISTING.UPDATED,
                    LISTING.DELETED, PROFILE.CREATED, PROFILE.UPDATED,
                    PROFILE.DELETED
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key

````